/**
 * Create new resizer.
 */
function Resizer(wall, vertex)
{
    this.wall = wall;
    this.vertex = vertex;
}

/**
 * Set position.
 */
Resizer.prototype.setPosition = function(x, y)
{
    // The minimal size of the wall.
    var minWallSize = 10;

    if (this.vertex == "11") {
        if (x < this.wall["x2"] - minWallSize && y < this.wall["y2"] - minWallSize) {
            this.wall["x1"] = x;
            this.wall["y1"] = y;
        }
    }
    else if (this.vertex == "21") {
        if (x > this.wall["x1"] + minWallSize && y < this.wall["y2"] - minWallSize) {
            this.wall["x2"] = x;
            this.wall["y1"] = y;
        }
    }
    else if (this.vertex == "12") {
        if (x < this.wall["x2"] - minWallSize && y > this.wall["y1"] + minWallSize) {
            this.wall["x1"] = x;
            this.wall["y2"] = y;
        }
    }
    else if (this.vertex == "22") {
        if (x > this.wall["x1"] + minWallSize && y > this.wall["y1"] + minWallSize) {
            this.wall["x2"] = x;
            this.wall["y2"] = y;
        }
    }
}
